ABOUT_TEXT = """
A simple robot shell for experimenting with TR programs.

Authors: 
   Peter Robinson, 
   Keith Clark
"""

HELP_TEXT = """
This is a simple robot shell for testing TR programs. You take on the role
of the robot simulating its activators and sensors and periodically sending
back sense data as percepts facts to an agent executing some procedure call in the TR program as a task. 

The program is run as 

robot_shell.py shell_name

where shell_name is the Pedro name for this process, that is given to the agent when it is launched. The agent must have a percepts handler thread that starts by sending an initialise message to this shell. You should launch this robot shell before you launch the agent.

When the initialise message is received, you will see this the main window. Respond by typing into the bottom edit window a list of percept facts that
records,  what you, the robot currently perceive. Send them either using RETURN or clicking on the Send button. If you do not respond within 5 seconds the initialise message will be received and displayed again.  

Percepts can be sent one at a time or as a comma separated list (the '[' and ']' are not required - they are added by the tool. If the user is using the default 'updates' handler then the actual percepts sent to the TR program have a r_ or f_ wrapper - r_ means this is a percept to be added and f_ means the percept is no longer true and is to be removed if present. These wrappers are not to be used when entering percepts.  Instead a minus prefix will wrap with a f_ and no prefix (or a +) will wrap with a r_. The  wrapped percept messages actually sent will be echoed in the top window. Only enter - prefixed percepts if you have launched the agent with the updates as its last argument flag.

If the user is using the delfault 'all' handler or a user-defined handler the
percepts are sent unwrapped.

Percepts are added to a history that can be navigated using the up and down arrow keys. The history can be saved as a text file and later loaded into the tool.

After each entry of new percepts you will usually see a set  of action controls
such as start(turn(left,0.2)), stop(move(3.2)) displayed as the agent's response. These are actions for you to simulate. After a second or two imagine what 
the sensors would detect and send back a new sequence of percepts, or a percepts update sequence that uses the - prefix to indicate that a percept fact should be forgotten.   

The percepts sent are copied into the text box in blue text and any commands from the TR agent appear in black text. If the percepts is not syntactically correct text it appears in the text box as red text.

"""
